- content_for :page_specific_javascripts do
  = page_specific_javascript_bundle_tag('merge_request_widget')

= form_for [:merge, @project.namespace.becomes(Namespace), @project, @merge_request], remote: true, method: :post, html: { class: 'accept-mr-form js-quick-submit js-requires-input' } do |f|
  = hidden_field_tag :authenticity_token, form_authenticity_token
  = hidden_field_tag :sha, @merge_request.diff_head_sha
  .accept-merge-holder.clearfix.js-toggle-container
    .clearfix
      .accept-action
        - if @pipeline && @pipeline.active?
          %span.btn-group
            = button_tag class: "btn btn-info js-merge-when-pipeline-succeeds-button merge-when-pipeline-succeeds" do
              构建成功时合并
            - unless @project.only_allow_merge_if_pipeline_succeeds?
              = button_tag class: "btn btn-info dropdown-toggle", 'data-toggle' => 'dropdown' do
                = icon('caret-down')
                %span.sr-only
                  选择合并时机
              %ul.js-merge-dropdown.dropdown-menu.dropdown-menu-right{ role: 'menu' }
                %li
                  = link_to "#", class: "merge-when-pipeline-succeeds" do
                    = icon('check fw')
                    流水线成功时合并
                %li
                  = link_to "#", class: "accept-merge-request" do
                    = icon('warning fw')
                    立即合并
        - else
          = f.button class: "btn btn-grouped js-merge-button accept-merge-request" do
            接受合并请求
      - if @merge_request.force_remove_source_branch?
        .accept-control
          来源分支将被删除。
      - elsif @merge_request.can_remove_source_branch?(current_user)
        .accept-control.checkbox
          = label_tag :should_remove_source_branch, class: "merge-param-checkbox" do
            = check_box_tag :should_remove_source_branch
            删除来源分支
      .accept-control
        %button.modify-merge-commit-link.js-toggle-button{ type: "button" }
          = icon('edit')
          修改提交信息
    .js-toggle-content.hide.prepend-top-default
      = render 'shared/commit_message_container', params: params,
          message_with_description: @merge_request.merge_commit_message(include_description: true),
          message_without_description: @merge_request.merge_commit_message,
          text: @merge_request.merge_commit_message,
          rows: 14, hint: true

    = hidden_field_tag :merge_when_pipeline_succeeds, "", autocomplete: "off"
